### Property

# EBook BookClientCursor:alphabet

since: 3.12

#### Declaration

    property alphabet: string[] [ read ]

#### Description [src]

The currently active alphabet.

The value is a `NULL` terminated array of strings, each string is suitable to display a specific letter in the active alphabet.

Indexes from this array can later be used with e_book_client_cursor_set_alphabetic_index().

This property will automatically change if the active locale of the addressbook server changes.

Property change notifications are guaranteed to be delivered in the `GMainContext` which was the thread default context at cursor creation time.

Type:An array of `char*`

Available since: 3.12

Getter method | `e_book_client_cursor_get_alphabet()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no